[![License: LGPL v3](https://img.shields.io/badge/License-LGPL%20v3-blue.svg)](https://gitlab.com/manzerbredes/i3-colors/raw/master/LICENSE)
[![Pipeline](https://gitlab.com/manzerbredes/i3-colors/badges/master/pipeline.svg)](https://gitlab.com/manzerbredes/i3-colors/pipelines)
[![Release](https://img.shields.io/badge/Release-v0.1.1-blue)](https://gitlab.com/manzerbredes/i3-colors/tree/v0.1.1)
# i3-colors

Simple Python i3 colors manager.<br />
**Install/Usage:**

      git clone https://gitlab.com/manzerbredes/i3-colors
      ./i3-colors/src/i3-colors.py -h
    
**Notes:** Some of the themes come from [i3-style project](https://github.com/altdesktop/i3-style) and [j4-make-config](https://github.com/okraits/j4-make-config)

### Features
- Instant theme changing: `./i3-colors.py apply -r <theme-path>`
- Theme extraction from config file (as yaml): `./i3-colors.py extract <i3-config-file>`
- Apply random colors to i3: `./i3-colors.py aleatory`

### Help
You can have help with the following commands:
- `./i3-colors.py apply -h`
- `./i3-colors.py extract -h`
- `./i3-colors.py aleatory -h`

### Screenshots

alphare:
![alphare](themes/alphare.jpg)

archlinux:
![archlinux](themes/archlinux.jpg)

base16-tomorrow:
![base16-tomorrow](themes/base16-tomorrow.jpg)

breeze:
![breeze](themes/breeze.jpg)

debian:
![debian](themes/debian.jpg)

deep-purple:
![deep-purple](themes/deep-purple.jpg)

default:
![default](themes/default.jpg)

flat-gray:
![flat-gray](themes/flat-gray.jpg)

google:
![google](themes/google.jpg)

gruvbox:
![gruvbox](themes/gruvbox.jpg)

icelines:
![icelines](themes/icelines.jpg)

ion3:
![ion3](themes/ion3.jpg)

lime:
![lime](themes/lime.jpg)

mate:
![mate](themes/mate.jpg)

oceanic-next:
![oceanic-next](themes/oceanic-next.jpg)

okraits:
![okraits](themes/okraits.jpg)

old-school:
![old-school](themes/old-school.jpg)

purple:
![purple](themes/purple.jpg)

seti:
![seti](themes/seti.jpg)

slate:
![slate](themes/slate.jpg)

solarized:
![solarized](themes/solarized.jpg)

solarized_light:
![solarized_light](themes/solarized_light.jpg)

tomorrow-night-80s:
![tomorrow-night-80s](themes/tomorrow-night-80s.jpg)

ubuntu:
![ubuntu](themes/ubuntu.jpg)

wc8:
![wc8](themes/wc8.jpg)

